Subject: RE: Call for volunteers for C/C++ API liaison manager

From: Chaitanya Dhareshwar <[email-masked]>
Date: Wed, 30 Apr 2014 19:28:49 -0700

+1 Joe.

Chaitanya Dhareshwar

Mobile: +91.9820760253
From: Joe Touch
Sent: 5/1/2014 5:19
To: IAB; IETF Announce
Cc: IETF
Subject: Re: Call for volunteers for C/C++ API liaison manager

On 4/30/2014 8:20 AM, IAB Chair wrote:
> We often see proposals for APIs (most commonly C APIs) discussed in
> the IETF.

A protocol "API" isn't language-specific; it describes (or ought to) the
upper and lower layer interactions, e.g., as was done in RFC793.

When we propose an API in the IETF, it should be for that protocol API,
not for a language API (which is an instance, specific to a language and
also often an OS, of that protocol API).

(that doesn't preclude the benefit of a liason to a language-standards
group, but we shouldn't be seeing IETF proposals for such instances IMO).

Joe